diff -uwr ogre_v1-9-0.orig//CMakeLists.txt ogre_v1-9-0.new//CMakeLists.txt
--- ogre_v1-9-0.orig//CMakeLists.txt	2014-08-25 13:35:25 +0900
+++ ogre_v1-9-0.new//CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -18,6 +18,8 @@
 set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS TRUE)
 cmake_policy(SET CMP0003 NEW)
 
+set_property(GLOBAL PROPERTY USE_FOLDERS ON)
+
 # CMake 2.8.2 has a bug that creates unusable Xcode projects when using ARCHS_STANDARD_32_BIT
 # to specify both armv6 and armv7.
 if(OGRE_BUILD_PLATFORM_APPLE_IOS AND (CMAKE_VERSION VERSION_EQUAL 2.8.2) AND (CMAKE_GENERATOR STREQUAL "Xcode"))
diff -uwr ogre_v1-9-0.orig//Components/MeshLodGenerator/CMakeLists.txt ogre_v1-9-0.new//Components/MeshLodGenerator/CMakeLists.txt
--- ogre_v1-9-0.orig//Components/MeshLodGenerator/CMakeLists.txt	2014-08-25 13:35:25 +0900
+++ ogre_v1-9-0.new//Components/MeshLodGenerator/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -26,6 +26,7 @@
 
 # setup target
 ogre_add_library(OgreMeshLodGenerator ${OGRE_COMP_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${PLATFORM_HEADER_FILES} ${PLATFORM_SOURCE_FILES})
+set_property(TARGET OgreMeshLodGenerator PROPERTY FOLDER components)
 set_target_properties(OgreMeshLodGenerator PROPERTIES VERSION ${OGRE_SOVERSION} SOVERSION ${OGRE_SOVERSION})
 target_link_libraries(OgreMeshLodGenerator OgreMain)
 if (OGRE_CONFIG_THREADS)
diff -uwr ogre_v1-9-0.orig//Components/Overlay/CMakeLists.txt ogre_v1-9-0.new//Components/Overlay/CMakeLists.txt
--- ogre_v1-9-0.orig//Components/Overlay/CMakeLists.txt	2014-08-25 13:35:25 +0900
+++ ogre_v1-9-0.new//Components/Overlay/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -26,6 +26,7 @@
 
 # setup target
 ogre_add_library(OgreOverlay ${OGRE_COMP_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${PLATFORM_HEADER_FILES} ${PLATFORM_SOURCE_FILES})
+set_property(TARGET OgreOverlay PROPERTY FOLDER components)
 set_target_properties(OgreOverlay PROPERTIES VERSION ${OGRE_SOVERSION} SOVERSION ${OGRE_SOVERSION})
 target_link_libraries(OgreOverlay OgreMain ${FREETYPE_LIBRARIES})
 if (OGRE_CONFIG_THREADS)
diff -uwr ogre_v1-9-0.orig//Components/Paging/CMakeLists.txt ogre_v1-9-0.new//Components/Paging/CMakeLists.txt
--- ogre_v1-9-0.orig//Components/Paging/CMakeLists.txt	2014-08-25 13:35:25 +0900
+++ ogre_v1-9-0.new//Components/Paging/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -26,6 +26,7 @@
 
 # setup target
 ogre_add_library(OgrePaging ${OGRE_COMP_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${PLATFORM_HEADER_FILES} ${PLATFORM_SOURCE_FILES})
+set_property(TARGET OgrePaging PROPERTY FOLDER components)
 set_target_properties(OgrePaging PROPERTIES VERSION ${OGRE_SOVERSION} SOVERSION ${OGRE_SOVERSION})
 target_link_libraries(OgrePaging OgreMain)
 if (OGRE_CONFIG_THREADS)
diff -uwr ogre_v1-9-0.orig//Components/Property/CMakeLists.txt ogre_v1-9-0.new//Components/Property/CMakeLists.txt
--- ogre_v1-9-0.orig//Components/Property/CMakeLists.txt	2014-08-25 13:35:25 +0900
+++ ogre_v1-9-0.new//Components/Property/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -34,6 +34,7 @@
 
 # setup target
 ogre_add_library(OgreProperty ${OGRE_COMP_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${PLATFORM_HEADER_FILES} ${PLATFORM_SOURCE_FILES})
+set_property(TARGET OgreProperty PROPERTY FOLDER components)
 set_target_properties(OgreProperty PROPERTIES VERSION ${OGRE_SOVERSION} SOVERSION ${OGRE_SOVERSION})
 target_link_libraries(OgreProperty OgreMain)
 if (OGRE_CONFIG_THREADS)
diff -uwr ogre_v1-9-0.orig//Components/RTShaderSystem/CMakeLists.txt ogre_v1-9-0.new//Components/RTShaderSystem/CMakeLists.txt
--- ogre_v1-9-0.orig//Components/RTShaderSystem/CMakeLists.txt	2014-08-25 13:35:25 +0900
+++ ogre_v1-9-0.new//Components/RTShaderSystem/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -17,6 +17,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 ogre_add_library(OgreRTShaderSystem ${OGRE_COMP_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET OgreRTShaderSystem PROPERTY FOLDER components)
 set_target_properties(OgreRTShaderSystem PROPERTIES VERSION ${OGRE_SOVERSION} SOVERSION ${OGRE_SOVERSION})
 target_link_libraries(OgreRTShaderSystem OgreMain)
 
diff -uwr ogre_v1-9-0.orig//Components/Terrain/CMakeLists.txt ogre_v1-9-0.new//Components/Terrain/CMakeLists.txt
--- ogre_v1-9-0.orig//Components/Terrain/CMakeLists.txt	2014-08-25 13:35:25 +0900
+++ ogre_v1-9-0.new//Components/Terrain/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -45,6 +45,7 @@
 
 # setup target
 ogre_add_library(OgreTerrain ${OGRE_COMP_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${PLATFORM_HEADER_FILES} ${PLATFORM_SOURCE_FILES})
+set_property(TARGET OgreTerrain PROPERTY FOLDER components)
 set_target_properties(OgreTerrain PROPERTIES VERSION ${OGRE_SOVERSION} SOVERSION ${OGRE_SOVERSION})
 target_link_libraries(OgreTerrain OgreMain)
 if (OGRE_BUILD_COMPONENT_PAGING)
diff -uwr ogre_v1-9-0.orig//Components/Volume/CMakeLists.txt ogre_v1-9-0.new//Components/Volume/CMakeLists.txt
--- ogre_v1-9-0.orig//Components/Volume/CMakeLists.txt	2014-08-25 13:35:25 +0900
+++ ogre_v1-9-0.new//Components/Volume/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -26,6 +26,7 @@
 
 # setup target
 ogre_add_library(OgreVolume ${OGRE_COMP_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${PLATFORM_HEADER_FILES} ${PLATFORM_SOURCE_FILES})
+set_property(TARGET OgreVolume PROPERTY FOLDER components)
 set_target_properties(OgreVolume PROPERTIES VERSION ${OGRE_SOVERSION} SOVERSION ${OGRE_SOVERSION})
 target_link_libraries(OgreVolume OgreMain)
 if (OGRE_CONFIG_THREADS)
diff -uwr ogre_v1-9-0.orig//Docs/CMakeLists.txt ogre_v1-9-0.new//Docs/CMakeLists.txt
--- ogre_v1-9-0.orig//Docs/CMakeLists.txt	2014-08-25 13:35:25 +0900
+++ ogre_v1-9-0.new//Docs/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -35,6 +35,7 @@
     WORKING_DIRECTORY ${OGRE_SOURCE_DIR}/Docs/src/ 
     COMMENT "Building documentation" VERBATIM
   )
+        set_property(TARGET OgreDoc PROPERTY FOLDER documents)
 	file(WRITE ${OGRE_BINARY_DIR}/api/temp.txt "This file should be deleted before installation. It is only here to force the creation of the api folder")
 	file(REMOVE ${OGRE_BINARY_DIR}/api/temp.txt)
 	if (OGRE_INSTALL_DOCS)
diff -uwr ogre_v1-9-0.orig//OgreMain/CMakeLists.txt ogre_v1-9-0.new//OgreMain/CMakeLists.txt
--- ogre_v1-9-0.orig//OgreMain/CMakeLists.txt	2014-08-25 13:35:25 +0900
+++ ogre_v1-9-0.new//OgreMain/CMakeLists.txt	2014-08-30 01:59:23 +0900
@@ -288,6 +288,7 @@
 	# exclude OgreAlignedAllocator.cpp from unity builds; causes problems on Linux
 	ogre_add_library(OgreMain ${OGRE_LIB_TYPE} ${PREC_HEADER} ${HEADER_FILES} ${SOURCE_FILES} ${PLATFORM_HEADERS} ${PLATFORM_SOURCE_FILES} ${THREAD_HEADER_FILES} ${THREAD_SOURCE_FILES} SEPARATE "src/OgreAlignedAllocator.cpp")
 endif ()
+set_property(TARGET OgreMain PROPERTY FOLDER libraries)
 # In visual studio 2010 - 64 bit we get this error: "LINK : fatal error LNK1210: exceeded internal ILK size limit; link with /INCREMENTAL:NO"
 if(WIN32 AND MSVC10 AND CMAKE_CL_64)
   set_target_properties(OgreMain PROPERTIES 
@@ -344,7 +345,14 @@
   # Framework is called 'Ogre'
   set_target_properties(OgreMain PROPERTIES	OUTPUT_NAME Ogre)
 endif ()
-target_link_libraries(OgreMain ${LIBRARIES})
+target_link_libraries(OgreMain ${LIBRARIES}
+  optimized jpeg.lib    debug jpegd.lib
+  optimized libpng.lib  debug libpngd.lib
+  optimized libtiff.lib debug libtiffd.lib
+  optimized OpenEXR.lib debug OpenEXRd.lib
+  optimized OpenJPEG-1.5.1.lib debug OpenJPEG-1.5.1d.lib
+  optimized libraw.lib  debug librawd.lib
+  )
 if (MINGW)
   # may need winsock htons functions for FreeImage
   target_link_libraries(OgreMain ws2_32)
diff -uwr ogre_v1-9-0.orig//OgreMain/src/OgreCommon.cpp ogre_v1-9-0.new//OgreMain/src/OgreCommon.cpp
--- ogre_v1-9-0.orig//OgreMain/src/OgreCommon.cpp	2014-08-25 13:35:26 +0900
+++ ogre_v1-9-0.new//OgreMain/src/OgreCommon.cpp	2014-08-29 23:53:48 +0900
@@ -59,6 +59,7 @@
 
                 // Invalid option
                 LogManager::getSingleton().logMessage("Invalid option " + tmp, LML_CRITICAL);
+				++startIndex;
 
             }
         }
diff -uwr ogre_v1-9-0.orig//PlugIns/BSPSceneManager/CMakeLists.txt ogre_v1-9-0.new//PlugIns/BSPSceneManager/CMakeLists.txt
--- ogre_v1-9-0.orig//PlugIns/BSPSceneManager/CMakeLists.txt	2014-08-25 13:35:26 +0900
+++ ogre_v1-9-0.new//PlugIns/BSPSceneManager/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -16,6 +16,7 @@
 add_definitions(-D_USRDLL)
 
 ogre_add_library(Plugin_BSPSceneManager ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Plugin_BSPSceneManager PROPERTY FOLDER plugins)
 target_link_libraries(Plugin_BSPSceneManager OgreMain)
 if (NOT OGRE_STATIC)
   set_target_properties(Plugin_BSPSceneManager PROPERTIES
diff -uwr ogre_v1-9-0.orig//PlugIns/CgProgramManager/CMakeLists.txt ogre_v1-9-0.new//PlugIns/CgProgramManager/CMakeLists.txt
--- ogre_v1-9-0.orig//PlugIns/CgProgramManager/CMakeLists.txt	2014-08-25 13:35:26 +0900
+++ ogre_v1-9-0.new//PlugIns/CgProgramManager/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -16,6 +16,7 @@
 add_definitions(-D_USRDLL)
 
 ogre_add_library(Plugin_CgProgramManager ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Plugin_CgProgramManager PROPERTY FOLDER plugins)
 target_link_libraries(Plugin_CgProgramManager OgreMain ${Cg_LIBRARIES})
 if (NOT OGRE_STATIC)
   set_target_properties(Plugin_CgProgramManager PROPERTIES
diff -uwr ogre_v1-9-0.orig//PlugIns/OctreeSceneManager/CMakeLists.txt ogre_v1-9-0.new//PlugIns/OctreeSceneManager/CMakeLists.txt
--- ogre_v1-9-0.orig//PlugIns/OctreeSceneManager/CMakeLists.txt	2014-08-25 13:35:26 +0900
+++ ogre_v1-9-0.new//PlugIns/OctreeSceneManager/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -16,6 +16,7 @@
 add_definitions(-D_USRDLL)
 
 ogre_add_library(Plugin_OctreeSceneManager ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Plugin_OctreeSceneManager PROPERTY FOLDER plugins)
 target_link_libraries(Plugin_OctreeSceneManager OgreMain)
 if (NOT OGRE_STATIC)
   set_target_properties(Plugin_OctreeSceneManager PROPERTIES
diff -uwr ogre_v1-9-0.orig//PlugIns/OctreeZone/CMakeLists.txt ogre_v1-9-0.new//PlugIns/OctreeZone/CMakeLists.txt
--- ogre_v1-9-0.orig//PlugIns/OctreeZone/CMakeLists.txt	2014-08-25 13:35:26 +0900
+++ ogre_v1-9-0.new//PlugIns/OctreeZone/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -17,6 +17,7 @@
 add_definitions(-D_USRDLL)
 
 ogre_add_library(Plugin_OctreeZone ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Plugin_OctreeZone PROPERTY FOLDER plugins)
 target_link_libraries(Plugin_OctreeZone OgreMain Plugin_PCZSceneManager)
 if (NOT OGRE_STATIC)
   set_property(TARGET Plugin_OctreeZone PROPERTY
diff -uwr ogre_v1-9-0.orig//PlugIns/PCZSceneManager/CMakeLists.txt ogre_v1-9-0.new//PlugIns/PCZSceneManager/CMakeLists.txt
--- ogre_v1-9-0.orig//PlugIns/PCZSceneManager/CMakeLists.txt	2014-08-25 13:35:26 +0900
+++ ogre_v1-9-0.new//PlugIns/PCZSceneManager/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -16,6 +16,7 @@
 add_definitions(-D_USRDLL)
 
 ogre_add_library(Plugin_PCZSceneManager ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Plugin_PCZSceneManager PROPERTY FOLDER plugins)
 target_link_libraries(Plugin_PCZSceneManager OgreMain)
 if (NOT OGRE_STATIC)
   set_target_properties(Plugin_PCZSceneManager PROPERTIES
diff -uwr ogre_v1-9-0.orig//PlugIns/ParticleFX/CMakeLists.txt ogre_v1-9-0.new//PlugIns/ParticleFX/CMakeLists.txt
--- ogre_v1-9-0.orig//PlugIns/ParticleFX/CMakeLists.txt	2014-08-25 13:35:26 +0900
+++ ogre_v1-9-0.new//PlugIns/ParticleFX/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -17,6 +17,7 @@
 add_definitions(-D_USRDLL)
 
 ogre_add_library(Plugin_ParticleFX ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Plugin_ParticleFX PROPERTY FOLDER plugins)
 target_link_libraries(Plugin_ParticleFX OgreMain)
 if (NOT OGRE_STATIC)
   set_target_properties(Plugin_ParticleFX PROPERTIES
diff -uwr ogre_v1-9-0.orig//RenderSystems/Direct3D11/CMakeLists.txt ogre_v1-9-0.new//RenderSystems/Direct3D11/CMakeLists.txt
--- ogre_v1-9-0.orig//RenderSystems/Direct3D11/CMakeLists.txt	2014-08-25 13:35:26 +0900
+++ ogre_v1-9-0.new//RenderSystems/Direct3D11/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -23,6 +23,7 @@
 add_definitions(-D_USRDLL)
 
 ogre_add_library(RenderSystem_Direct3D11 ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET RenderSystem_Direct3D11 PROPERTY FOLDER rendersystems)
 target_link_libraries(RenderSystem_Direct3D11
   OgreMain
   ${DirectX11_LIBRARIES}
diff -uwr ogre_v1-9-0.orig//RenderSystems/Direct3D9/CMakeLists.txt ogre_v1-9-0.new//RenderSystems/Direct3D9/CMakeLists.txt
--- ogre_v1-9-0.orig//RenderSystems/Direct3D9/CMakeLists.txt	2014-08-25 13:35:26 +0900
+++ ogre_v1-9-0.new//RenderSystems/Direct3D9/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -29,6 +29,7 @@
 
 
 ogre_add_library(RenderSystem_Direct3D9 ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET RenderSystem_Direct3D9 PROPERTY FOLDER rendersystems)
 target_link_libraries(RenderSystem_Direct3D9
   OgreMain
   ${DirectX9_LIBRARIES}
diff -uwr ogre_v1-9-0.orig//RenderSystems/GL/CMakeLists.txt ogre_v1-9-0.new//RenderSystems/GL/CMakeLists.txt
--- ogre_v1-9-0.orig//RenderSystems/GL/CMakeLists.txt	2014-08-25 13:35:26 +0900
+++ ogre_v1-9-0.new//RenderSystems/GL/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -96,6 +96,7 @@
 #Note that in the next row SOURCE_FILES are added last. This is to prevent compilation problems of unity build found on Windows Visual Studio. 
 #In this situation any file added after the "glew.cpp" file, which belongs to the SOURCE_FILES package, does not compile
 ogre_add_library(RenderSystem_GL ${OGRE_LIB_TYPE} ${HEADER_FILES} ${GLSL_SOURCE} ${ATIFS_SOURCE} ${NVPARSE_SOURCE} ${PLATFORM_HEADERS} ${PLATFORM_SOURCES} ${SOURCE_FILES})
+set_property(TARGET RenderSystem_GL PROPERTY FOLDER rendersystems)
 target_link_libraries(RenderSystem_GL OgreMain ${OPENGL_LIBRARIES} ${PLATFORM_LIBS})
 
 if (NOT OGRE_STATIC)
diff -uwr ogre_v1-9-0.orig//RenderSystems/GL3Plus/CMakeLists.txt ogre_v1-9-0.new//RenderSystems/GL3Plus/CMakeLists.txt
--- ogre_v1-9-0.orig//RenderSystems/GL3Plus/CMakeLists.txt	2014-08-25 13:35:27 +0900
+++ ogre_v1-9-0.new//RenderSystems/GL3Plus/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -60,6 +60,7 @@
 else()
   ogre_add_library(RenderSystem_GL3Plus ${OGRE_LIB_TYPE} ${HEADER_FILES} ${GLSL_SOURCE} ${PLATFORM_HEADERS} ${PLATFORM_SOURCES} ${SOURCE_FILES})
 endif()
+set_property(TARGET RenderSystem_GL3Plus PROPERTY FOLDER rendersystems)
 target_link_libraries(RenderSystem_GL3Plus OgreMain ${OPENGL_LIBRARIES} ${PLATFORM_LIBS})
 
 if (NOT OGRE_STATIC)
diff -uwr ogre_v1-9-0.orig//RenderSystems/GLES/CMakeLists.txt ogre_v1-9-0.new//RenderSystems/GLES/CMakeLists.txt
--- ogre_v1-9-0.orig//RenderSystems/GLES/CMakeLists.txt	2014-08-25 13:35:27 +0900
+++ ogre_v1-9-0.new//RenderSystems/GLES/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -69,6 +69,7 @@
 )
 
 ogre_add_library(RenderSystem_GLES ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${PLATFORM_HEADERS} ${PLATFORM_SOURCES})
+set_property(TARGET RenderSystem_GLES PROPERTY FOLDER rendersystems)
 target_link_libraries(RenderSystem_GLES OgreMain ${OPENGLES_LIBRARIES} ${PLATFORM_LIBS})
 
 if (NOT OGRE_STATIC)
diff -uwr ogre_v1-9-0.orig//RenderSystems/GLES2/CMakeLists.txt ogre_v1-9-0.new//RenderSystems/GLES2/CMakeLists.txt
--- ogre_v1-9-0.orig//RenderSystems/GLES2/CMakeLists.txt	2014-08-25 13:35:27 +0900
+++ ogre_v1-9-0.new//RenderSystems/GLES2/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -133,6 +133,7 @@
 )
 
 ogre_add_library(RenderSystem_GLES2 ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${STATECACHE_HEADERS} ${GLESW_HEADERS} ${KHR_HEADERS} ${GLSLES_FILES} ${PLATFORM_HEADERS} ${PLATFORM_SOURCES})
+set_property(TARGET RenderSystem_GLES2 PROPERTY FOLDER rendersystems)
 target_link_libraries(RenderSystem_GLES2 OgreMain ${OPENGLES3_LIBRARIES} ${OPENGLES2_LIBRARIES} ${EGL_LIBRARIES} ${PLATFORM_LIBS})
 
 if (NOT OGRE_STATIC)
diff -uwr ogre_v1-9-0.orig//Samples/AtomicCounters/CMakeLists.txt ogre_v1-9-0.new//Samples/AtomicCounters/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/AtomicCounters/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/AtomicCounters/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_AtomicCounters ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_AtomicCounters PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_AtomicCounters ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_AtomicCounters)
diff -uwr ogre_v1-9-0.orig//Samples/BSP/CMakeLists.txt ogre_v1-9-0.new//Samples/BSP/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/BSP/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/BSP/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_BSP ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_BSP PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_BSP ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_BSP)
diff -uwr ogre_v1-9-0.orig//Samples/BezierPatch/CMakeLists.txt ogre_v1-9-0.new//Samples/BezierPatch/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/BezierPatch/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/BezierPatch/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_BezierPatch ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} )
+set_property(TARGET Sample_BezierPatch PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_BezierPatch ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_BezierPatch)
diff -uwr ogre_v1-9-0.orig//Samples/Browser/CMakeLists.txt ogre_v1-9-0.new//Samples/Browser/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Browser/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Browser/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -153,6 +153,7 @@
 endif()
 
 ogre_add_executable(SampleBrowser WIN32 ${HEADER_FILES} ${SOURCE_FILES} ${RESOURCE_FILES})
+set_property(TARGET SampleBrowser PROPERTY FOLDER samples)
 
 # Fix for static build with MinGW
 if (OGRE_BUILD_RENDERSYSTEM_D3D9 AND OGRE_STATIC)
diff -uwr ogre_v1-9-0.orig//Samples/CameraTrack/CMakeLists.txt ogre_v1-9-0.new//Samples/CameraTrack/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/CameraTrack/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/CameraTrack/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_CameraTrack ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_CameraTrack PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_CameraTrack ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_CameraTrack)
diff -uwr ogre_v1-9-0.orig//Samples/CelShading/CMakeLists.txt ogre_v1-9-0.new//Samples/CelShading/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/CelShading/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/CelShading/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_CelShading ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_CelShading PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_CelShading ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_CelShading)
diff -uwr ogre_v1-9-0.orig//Samples/Character/CMakeLists.txt ogre_v1-9-0.new//Samples/Character/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Character/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Character/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -11,6 +11,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Character ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_Character PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Character ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Character)
diff -uwr ogre_v1-9-0.orig//Samples/Compositor/CMakeLists.txt ogre_v1-9-0.new//Samples/Compositor/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Compositor/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Compositor/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -21,6 +21,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Compositor ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Compositor PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Compositor ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Compositor)
diff -uwr ogre_v1-9-0.orig//Samples/Compute/CMakeLists.txt ogre_v1-9-0.new//Samples/Compute/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Compute/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Compute/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -11,6 +11,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Compute ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_Compute PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Compute ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Compute)
diff -uwr ogre_v1-9-0.orig//Samples/CubeMapping/CMakeLists.txt ogre_v1-9-0.new//Samples/CubeMapping/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/CubeMapping/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/CubeMapping/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_CubeMapping ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} ${RESOURCE_FILES})
+set_property(TARGET Sample_CubeMapping PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_CubeMapping ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_CubeMapping)
diff -uwr ogre_v1-9-0.orig//Samples/DeferredShading/CMakeLists.txt ogre_v1-9-0.new//Samples/DeferredShading/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/DeferredShading/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/DeferredShading/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -42,6 +42,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 ogre_add_library(Sample_DeferredShading ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_DeferredShading PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_DeferredShading ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_DeferredShading)
diff -uwr ogre_v1-9-0.orig//Samples/Dot3Bump/CMakeLists.txt ogre_v1-9-0.new//Samples/Dot3Bump/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Dot3Bump/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Dot3Bump/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_Dot3Bump ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Dot3Bump PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Dot3Bump ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Dot3Bump)
diff -uwr ogre_v1-9-0.orig//Samples/DualQuaternion/CMakeLists.txt ogre_v1-9-0.new//Samples/DualQuaternion/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/DualQuaternion/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/DualQuaternion/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_DualQuaternion ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_DualQuaternion PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_DualQuaternion ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_DualQuaternion)
diff -uwr ogre_v1-9-0.orig//Samples/DynTex/CMakeLists.txt ogre_v1-9-0.new//Samples/DynTex/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/DynTex/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/DynTex/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_DynTex ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_DynTex PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_DynTex ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_DynTex)
diff -uwr ogre_v1-9-0.orig//Samples/EndlessWorld/CMakeLists.txt ogre_v1-9-0.new//Samples/EndlessWorld/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/EndlessWorld/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/EndlessWorld/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -12,6 +12,7 @@
 ogre_add_component_include_dir(Paging)
 
 add_library(Sample_EndlessWorld ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_EndlessWorld PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_EndlessWorld ${OGRE_LIBRARIES} ${OIS_LIBRARIES} ${OGRE_Terrain_LIBRARIES} ${OGRE_Paging_LIBRARIES})
 ogre_config_sample_lib(Sample_EndlessWorld)
diff -uwr ogre_v1-9-0.orig//Samples/FacialAnimation/CMakeLists.txt ogre_v1-9-0.new//Samples/FacialAnimation/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/FacialAnimation/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/FacialAnimation/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_FacialAnimation ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_FacialAnimation PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_FacialAnimation ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_FacialAnimation)
diff -uwr ogre_v1-9-0.orig//Samples/Fresnel/CMakeLists.txt ogre_v1-9-0.new//Samples/Fresnel/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Fresnel/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Fresnel/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_Fresnel ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Fresnel PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Fresnel ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Fresnel)
diff -uwr ogre_v1-9-0.orig//Samples/Grass/CMakeLists.txt ogre_v1-9-0.new//Samples/Grass/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Grass/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Grass/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Grass ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_Grass PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Grass ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Grass)
diff -uwr ogre_v1-9-0.orig//Samples/Hair/CMakeLists.txt ogre_v1-9-0.new//Samples/Hair/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Hair/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Hair/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 ogre_add_library(Sample_Hair ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Hair PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Hair ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Hair)
diff -uwr ogre_v1-9-0.orig//Samples/Instancing/CMakeLists.txt ogre_v1-9-0.new//Samples/Instancing/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Instancing/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Instancing/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -19,6 +19,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Instancing ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Instancing PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Instancing ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Instancing)
diff -uwr ogre_v1-9-0.orig//Samples/Island/CMakeLists.txt ogre_v1-9-0.new//Samples/Island/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Island/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Island/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 ogre_add_library(Sample_Island ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Island PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Island ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Island)
diff -uwr ogre_v1-9-0.orig//Samples/Isosurf/CMakeLists.txt ogre_v1-9-0.new//Samples/Isosurf/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Isosurf/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Isosurf/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -20,6 +20,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Isosurf ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Isosurf PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Isosurf ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Isosurf)
diff -uwr ogre_v1-9-0.orig//Samples/Lighting/CMakeLists.txt ogre_v1-9-0.new//Samples/Lighting/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Lighting/CMakeLists.txt	2014-08-25 13:35:28 +0900
+++ ogre_v1-9-0.new//Samples/Lighting/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Lighting ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_Lighting PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Lighting ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Lighting)
diff -uwr ogre_v1-9-0.orig//Samples/MeshLod/CMakeLists.txt ogre_v1-9-0.new//Samples/MeshLod/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/MeshLod/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/MeshLod/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -7,6 +7,7 @@
 ogre_add_component_include_dir(MeshLodGenerator)
 
 add_library(Sample_MeshLod ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_MeshLod PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_MeshLod ${OGRE_LIBRARIES} ${OIS_LIBRARIES} ${OGRE_MeshLodGenerator_LIBRARIES})
 ogre_config_sample_lib(Sample_MeshLod)
diff -uwr ogre_v1-9-0.orig//Samples/NewInstancing/CMakeLists.txt ogre_v1-9-0.new//Samples/NewInstancing/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/NewInstancing/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/NewInstancing/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -7,6 +7,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_NewInstancing ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_NewInstancing PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_NewInstancing ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_NewInstancing)
diff -uwr ogre_v1-9-0.orig//Samples/OceanDemo/CMakeLists.txt ogre_v1-9-0.new//Samples/OceanDemo/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/OceanDemo/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/OceanDemo/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -21,6 +21,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Ocean ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Ocean PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Ocean ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Ocean)
diff -uwr ogre_v1-9-0.orig//Samples/PNTrianglesTessellation/CMakeLists.txt ogre_v1-9-0.new//Samples/PNTrianglesTessellation/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/PNTrianglesTessellation/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/PNTrianglesTessellation/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 ogre_add_library(Sample_PNTriangles ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_PNTriangles PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_PNTriangles ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_PNTriangles)
diff -uwr ogre_v1-9-0.orig//Samples/ParticleFX/CMakeLists.txt ogre_v1-9-0.new//Samples/ParticleFX/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/ParticleFX/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/ParticleFX/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_ParticleFX ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_ParticleFX PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_ParticleFX ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_ParticleFX)
diff -uwr ogre_v1-9-0.orig//Samples/ParticleGS/CMakeLists.txt ogre_v1-9-0.new//Samples/ParticleGS/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/ParticleGS/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/ParticleGS/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -22,6 +22,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_ParticleGS ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_ParticleGS PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_ParticleGS ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_ParticleGS)
diff -uwr ogre_v1-9-0.orig//Samples/SSAO/CMakeLists.txt ogre_v1-9-0.new//Samples/SSAO/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/SSAO/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/SSAO/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -7,6 +7,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_SSAO ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_SSAO PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_SSAO ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_SSAO)
diff -uwr ogre_v1-9-0.orig//Samples/ShaderSystem/CMakeLists.txt ogre_v1-9-0.new//Samples/ShaderSystem/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/ShaderSystem/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/ShaderSystem/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -16,6 +16,7 @@
 ogre_add_component_include_dir(RTShaderSystem)
 
 add_library(Sample_ShaderSystem ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_ShaderSystem PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_ShaderSystem ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_ShaderSystem)
diff -uwr ogre_v1-9-0.orig//Samples/ShaderSystemMultiLight/CMakeLists.txt ogre_v1-9-0.new//Samples/ShaderSystemMultiLight/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/ShaderSystemMultiLight/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/ShaderSystemMultiLight/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -16,6 +16,7 @@
 ogre_add_component_include_dir(RTShaderSystem)
 
 add_library(Sample_ShaderSystemMultiLight ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_ShaderSystemMultiLight PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_ShaderSystemMultiLight ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_ShaderSystemMultiLight)
diff -uwr ogre_v1-9-0.orig//Samples/ShaderSystemTexturedFog/CMakeLists.txt ogre_v1-9-0.new//Samples/ShaderSystemTexturedFog/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/ShaderSystemTexturedFog/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/ShaderSystemTexturedFog/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -14,6 +14,7 @@
 ogre_add_component_include_dir(RTShaderSystem)
 
 add_library(Sample_ShaderSystemTexturedFog ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_ShaderSystemTexturedFog PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_ShaderSystemTexturedFog ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_ShaderSystemTexturedFog)
diff -uwr ogre_v1-9-0.orig//Samples/Shadows/CMakeLists.txt ogre_v1-9-0.new//Samples/Shadows/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Shadows/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/Shadows/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -17,6 +17,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Shadows ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Shadows PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Shadows ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Shadows)
diff -uwr ogre_v1-9-0.orig//Samples/SkeletalAnimation/CMakeLists.txt ogre_v1-9-0.new//Samples/SkeletalAnimation/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/SkeletalAnimation/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/SkeletalAnimation/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_SkeletalAnimation ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_SkeletalAnimation PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_SkeletalAnimation ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_SkeletalAnimation)
diff -uwr ogre_v1-9-0.orig//Samples/SkyBox/CMakeLists.txt ogre_v1-9-0.new//Samples/SkyBox/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/SkyBox/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/SkyBox/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_SkyBox ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_SkyBox PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_SkyBox ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_SkyBox)
diff -uwr ogre_v1-9-0.orig//Samples/SkyDome/CMakeLists.txt ogre_v1-9-0.new//Samples/SkyDome/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/SkyDome/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/SkyDome/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_SkyDome ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_SkyDome PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_SkyDome ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_SkyDome)
diff -uwr ogre_v1-9-0.orig//Samples/SkyPlane/CMakeLists.txt ogre_v1-9-0.new//Samples/SkyPlane/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/SkyPlane/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/SkyPlane/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_SkyPlane ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_SkyPlane PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_SkyPlane ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_SkyPlane)
diff -uwr ogre_v1-9-0.orig//Samples/Smoke/CMakeLists.txt ogre_v1-9-0.new//Samples/Smoke/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Smoke/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/Smoke/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Smoke ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_Smoke PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Smoke ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Smoke)
diff -uwr ogre_v1-9-0.orig//Samples/SphereMapping/CMakeLists.txt ogre_v1-9-0.new//Samples/SphereMapping/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/SphereMapping/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/SphereMapping/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_SphereMapping ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_SphereMapping PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_SphereMapping ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_SphereMapping)
diff -uwr ogre_v1-9-0.orig//Samples/Terrain/CMakeLists.txt ogre_v1-9-0.new//Samples/Terrain/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Terrain/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/Terrain/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -8,6 +8,7 @@
 ogre_add_component_include_dir(Paging)
 
 add_library(Sample_Terrain ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Terrain PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Terrain ${OGRE_LIBRARIES} ${OIS_LIBRARIES} ${OGRE_Terrain_LIBRARIES} ${OGRE_Paging_LIBRARIES})
 ogre_config_sample_lib(Sample_Terrain)
diff -uwr ogre_v1-9-0.orig//Samples/TerrainTessellation/CMakeLists.txt ogre_v1-9-0.new//Samples/TerrainTessellation/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/TerrainTessellation/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/TerrainTessellation/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -11,6 +11,7 @@
 ogre_add_component_include_dir(Terrain)
 ogre_add_component_include_dir(Paging)
 ogre_add_library(Sample_TerrainTessellation ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_TerrainTessellation PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_TerrainTessellation ${OGRE_LIBRARIES} ${OIS_LIBRARIES} ${OGRE_Terrain_LIBRARIES} ${OGRE_Paging_LIBRARIES})
 ogre_config_sample_lib(Sample_TerrainTessellation)
diff -uwr ogre_v1-9-0.orig//Samples/Tessellation/CMakeLists.txt ogre_v1-9-0.new//Samples/Tessellation/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Tessellation/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/Tessellation/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Tessellation ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_Tessellation PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Tessellation ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Tessellation)
diff -uwr ogre_v1-9-0.orig//Samples/TextureArray/CMakeLists.txt ogre_v1-9-0.new//Samples/TextureArray/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/TextureArray/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/TextureArray/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_TextureArray ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_TextureArray PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_TextureArray ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_TextureArray)
diff -uwr ogre_v1-9-0.orig//Samples/TextureFX/CMakeLists.txt ogre_v1-9-0.new//Samples/TextureFX/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/TextureFX/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/TextureFX/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -5,6 +5,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_TextureFX ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET Sample_TextureFX PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_TextureFX ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_TextureFX)
diff -uwr ogre_v1-9-0.orig//Samples/Transparency/CMakeLists.txt ogre_v1-9-0.new//Samples/Transparency/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Transparency/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/Transparency/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -6,6 +6,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 add_library(Sample_Transparency ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Transparency PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Transparency ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Transparency)
diff -uwr ogre_v1-9-0.orig//Samples/VolumeCSG/CMakeLists.txt ogre_v1-9-0.new//Samples/VolumeCSG/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/VolumeCSG/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/VolumeCSG/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -20,6 +20,7 @@
 ogre_add_component_include_dir(Volume)
 
 add_library(Sample_VolumeCSG ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_VolumeCSG PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_VolumeCSG ${OGRE_LIBRARIES} ${OIS_LIBRARIES} ${OGRE_Volume_LIBRARIES})
 ogre_config_sample_lib(Sample_VolumeCSG)
diff -uwr ogre_v1-9-0.orig//Samples/VolumeTerrain/CMakeLists.txt ogre_v1-9-0.new//Samples/VolumeTerrain/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/VolumeTerrain/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/VolumeTerrain/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -20,6 +20,7 @@
 ogre_add_component_include_dir(Volume)
 
 add_library(Sample_VolumeTerrain ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_VolumeTerrain PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_VolumeTerrain ${OGRE_LIBRARIES} ${OIS_LIBRARIES} ${OGRE_Volume_LIBRARIES})
 ogre_config_sample_lib(Sample_VolumeTerrain)
diff -uwr ogre_v1-9-0.orig//Samples/VolumeTex/CMakeLists.txt ogre_v1-9-0.new//Samples/VolumeTex/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/VolumeTex/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/VolumeTex/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -23,6 +23,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_VolumeTex ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_VolumeTex PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_VolumeTex ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_VolumeTex)
diff -uwr ogre_v1-9-0.orig//Samples/Water/CMakeLists.txt ogre_v1-9-0.new//Samples/Water/CMakeLists.txt
--- ogre_v1-9-0.orig//Samples/Water/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Samples/Water/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -21,6 +21,7 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 add_library(Sample_Water ${OGRE_LIB_TYPE} ${SOURCE_FILES} ${HEADER_FILES})
+set_property(TARGET Sample_Water PROPERTY FOLDER samples)
 
 target_link_libraries(Sample_Water ${OGRE_LIBRARIES} ${OIS_LIBRARIES})
 ogre_config_sample_lib(Sample_Water)
diff -uwr ogre_v1-9-0.orig//Tests/CMakeLists.txt ogre_v1-9-0.new//Tests/CMakeLists.txt
--- ogre_v1-9-0.orig//Tests/CMakeLists.txt	2014-08-25 13:35:30 +0900
+++ ogre_v1-9-0.new//Tests/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -162,6 +162,7 @@
     endif ()
 
     add_executable(Test_Ogre WIN32 ${HEADER_FILES} ${SOURCE_FILES} ${RESOURCE_FILES} )
+    set_property(TARGET Test_Ogre PROPERTY FOLDER tests)
     ogre_config_sample_exe(Test_Ogre)
     target_link_libraries(Test_Ogre ${OGRE_LIBRARIES} ${CppUnit_LIBRARIES})
 
diff -uwr ogre_v1-9-0.orig//Tests/PlayPen/CMakeLists.txt ogre_v1-9-0.new//Tests/PlayPen/CMakeLists.txt
--- ogre_v1-9-0.orig//Tests/PlayPen/CMakeLists.txt	2014-08-25 13:35:31 +0900
+++ ogre_v1-9-0.new//Tests/PlayPen/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -26,6 +26,7 @@
 ogre_add_component_include_dir(RTShaderSystem)
 
 add_library(PlayPen ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} )
+set_property(TARGET PlayPen PROPERTY FOLDER tests)
 
 target_link_libraries(PlayPen ${OGRE_LIBRARIES} ${OIS_LIBRARIES} OgreOverlay)
 ogre_config_sample_lib(PlayPen)
diff -uwr ogre_v1-9-0.orig//Tests/VisualTests/Context/CMakeLists.txt ogre_v1-9-0.new//Tests/VisualTests/Context/CMakeLists.txt
--- ogre_v1-9-0.orig//Tests/VisualTests/Context/CMakeLists.txt	2014-08-25 13:35:31 +0900
+++ ogre_v1-9-0.new//Tests/VisualTests/Context/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -52,6 +52,7 @@
 ogre_add_component_include_dir(Volume)
 
 ogre_add_executable(TestContext ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET TestContext PROPERTY FOLDER tests)
 target_link_libraries(TestContext ${OGRE_LIBRARIES} ${OGRE_PLUGIN_LIBRARIES} ${OIS_LIBRARIES} ${SAMPLE_LIBRARIES} OgreOverlay OgreRTShaderSystem)
 ogre_config_common(TestContext)
 
diff -uwr ogre_v1-9-0.orig//Tests/VisualTests/PlayPen/CMakeLists.txt ogre_v1-9-0.new//Tests/VisualTests/PlayPen/CMakeLists.txt
--- ogre_v1-9-0.orig//Tests/VisualTests/PlayPen/CMakeLists.txt	2014-08-25 13:35:31 +0900
+++ ogre_v1-9-0.new//Tests/VisualTests/PlayPen/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -27,6 +27,7 @@
 ogre_add_component_include_dir(Overlay)
 
 add_library(PlayPenTests ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
+set_property(TARGET PlayPenTests PROPERTY FOLDER tests)
 target_link_libraries(PlayPenTests ${OGRE_LIBRARIES} ${OIS_LIBRARIES} OgreOverlay OgreRTShaderSystem)
 ogre_config_sample_lib(PlayPenTests)
 
diff -uwr ogre_v1-9-0.orig//Tests/VisualTests/VTests/CMakeLists.txt ogre_v1-9-0.new//Tests/VisualTests/VTests/CMakeLists.txt
--- ogre_v1-9-0.orig//Tests/VisualTests/VTests/CMakeLists.txt	2014-08-25 13:35:31 +0900
+++ ogre_v1-9-0.new//Tests/VisualTests/VTests/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -32,6 +32,7 @@
 ogre_add_component_include_dir(Overlay)
 
 add_library(VTests ${OGRE_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES} )
+set_property(TARGET VTests PROPERTY FOLDER tests)
 target_link_libraries(VTests ${OGRE_LIBRARIES} ${OIS_LIBRARIES} OgreOverlay OgreRTShaderSystem)
 ogre_config_sample_lib(VTests)
 
diff -uwr ogre_v1-9-0.orig//Tools/Blender2.6Export/ogre_mesh_exporter/__init__.py ogre_v1-9-0.new//Tools/Blender2.6Export/ogre_mesh_exporter/__init__.py
--- ogre_v1-9-0.orig//Tools/Blender2.6Export/ogre_mesh_exporter/__init__.py	2014-08-25 13:35:31 +0900
+++ ogre_v1-9-0.new//Tools/Blender2.6Export/ogre_mesh_exporter/__init__.py	2014-08-29 23:53:48 +0900
@@ -103,6 +103,8 @@
 		description = "Ogre Mesh Exporter properties"
 	)
 
+	loadStaticConfig()
+	
 	# register scene update callback.
 	# NOTE: This is for a hack to allow us to list selected objects on the fly.
 	# SEE: MainExporterPanel.refreshSelection in mesh_exporter_panel.py
diff -uwr ogre_v1-9-0.orig//Tools/MeshUpgrader/CMakeLists.txt ogre_v1-9-0.new//Tools/MeshUpgrader/CMakeLists.txt
--- ogre_v1-9-0.orig//Tools/MeshUpgrader/CMakeLists.txt	2014-08-25 13:35:31 +0900
+++ ogre_v1-9-0.new//Tools/MeshUpgrader/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -14,6 +14,7 @@
 )
 
 ogre_add_executable(OgreMeshUpgrader ${SOURCE_FILES})
+set_property(TARGET OgreMeshUpgrader PROPERTY FOLDER tools)
 ogre_add_component_include_dir(MeshLodGenerator)
 target_link_libraries(OgreMeshUpgrader ${OGRE_LIBRARIES} ${OGRE_MeshLodGenerator_LIBRARIES})
 if (APPLE)
diff -uwr ogre_v1-9-0.orig//Tools/XMLConverter/CMakeLists.txt ogre_v1-9-0.new//Tools/XMLConverter/CMakeLists.txt
--- ogre_v1-9-0.orig//Tools/XMLConverter/CMakeLists.txt	2014-08-25 13:35:31 +0900
+++ ogre_v1-9-0.new//Tools/XMLConverter/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -41,7 +41,9 @@
 ogre_add_component_include_dir(MeshLodGenerator)
 add_definitions(-DTIXML_USE_STL)
 ogre_add_executable(OgreXMLConverter ${HEADER_FILES} ${SOURCE_FILES})
-target_link_libraries(OgreXMLConverter ${OGRE_LIBRARIES} ${TINYXML_LIBRARIES} ${OGRE_MeshLodGenerator_LIBRARIES})
+set_property(TARGET OgreXMLConverter PROPERTY FOLDER tools)
+target_link_libraries(OgreXMLConverter ${OGRE_LIBRARIES} ${OGRE_MeshLodGenerator_LIBRARIES}
+  optimized tinyxmlSTL.lib debug tinyxmlSTLd.lib)
 
 if (APPLE)
     set_target_properties(OgreXMLConverter PROPERTIES
diff -uwr ogre_v1-9-0.orig//Tools/XSIExport/CMakeLists.txt ogre_v1-9-0.new//Tools/XSIExport/CMakeLists.txt
--- ogre_v1-9-0.orig//Tools/XSIExport/CMakeLists.txt	2014-08-25 13:35:31 +0900
+++ ogre_v1-9-0.new//Tools/XSIExport/CMakeLists.txt	2014-08-29 23:53:48 +0900
@@ -27,4 +27,5 @@
 include_directories(${Softimage_INCLUDE_DIR})
 
 add_library(OgreXSIExporter MODULE ${HEADER_FILES} ${SOURCE_FILES} "misc/OgreXSIExport.def")
+set_property(TARGET OgreXSIExporter PROPERTY FOLDER tools)
 target_link_libraries(OgreXSIExporter ${OGRE_LIBRARIES} ${Softimage_LIBRARIES})

